Name:           gnome-xcf-thumbnailer
Version:        1.0
Release:        5%{?dist}
Summary:        Thumbnailer for XCF files

Group:          Amusements/Graphics
License:        GPLv2+
URL:            http://ftp.gnome.org/pub/GNOME/sources/gnome-xcf-thumbnailer/
Source0:        http://download.gnome.org/sources/%{name}/%{name}-%{version}.tar.bz2
# Fix CVE-2009-2175 (see RHBZ #647907)
Patch0:         gnome-xcf-thumbnailer-1.0-CVE-2009-2175.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  GConf2
BuildRequires:  glib2-devel
BuildRequires:  libpng-devel
BuildRequires:  popt-devel
Requires(pre):  GConf2
Requires(post): GConf2
Requires(preun):GConf2

%description
Thumbnailer for GIMP's own format, XCF files.


%prep
%setup -q
%patch0 -p0 -b .CVE-2009-2175


%build
%configure \
  --disable-schemas-install
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%pre
%gconf_schema_prepare %{name}


%post
%gconf_schema_upgrade %{name}


%preun
%gconf_schema_remove %{name}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS TODO
%{_bindir}/gnome-xcf-thumbnailer
%{_sysconfdir}/gconf/schemas/*.schemas


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Oct 29 2010 rpmbuild <pikachu.2014@gmail.com> - 1.0-4
- Fix RHBZ #64797 (CVE-2009-2175)
- Update GConf scriptlets to latest specifications

* Tue Feb 17 2010 ELMORABITY Mohamed <melmorabity@fedoraproject.org> 1.0-3
- Remove %%config tag for GConf schema files

* Tue Jan 26 2010 ELMORABITY Mohamed <melmorabity@fedoraproject.org> 1.0-2
- Update %%files section

* Tue Dec 29 2009 ELMORABITY Mohamed <melmorabity@fedoraproject.org> 1.0-1
- Initial RPM release
